<?php
/**
 * Hello Model for Hello World Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_(MVC)_Component_for_Joomla!2.5_-_Part_04
 * @license    GNU/GPL
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla modelitem library
jimport('joomla.application.component.modellist');
/**
 * Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class sportactivitiesModelsportactivities extends JModelList
{
	/**
	 * @var object item
	 */
	protected $items;
	
		/**
	 * Method to auto-populate the model state.
	 *
	 * This method should only be called once per instantiation and is designed
	 * to be called on the first call to the getState() method unless the model
	 * configuration flag to ignore the request is set.
	 *
	 * Note. Calling getState in this method will result in recursion.
	 *
	 * @return	void
	 * @since	1.6
	 */
	protected function populateState($ordering = null, $direction = null) 
	{
		parent::populateState();
	}


	/**
	 * Returns a reference to the a Table object, always creating it.
	 *
	 * @param	type	The table type to instantiate
	 * @param	string	A prefix for the table class name. Optional.
	 * @param	array	Configuration array for model. Optional.
	 * @return	JTable	A database object
	 * @since	1.6
	 */
	public function getTable($type = 'Sport', $prefix = 'sportactivitiesTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	/**
	 * Gets a list of activities
	 * @param array
	 * @return mixed Object or null
	 */
	function getListQuery()
	{
		// Create a new query object.
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		$query->select('s.id, s.titel, s.datum, s.benachrichtigen, 
                    s.text1, s.text2, s.text3, s.text4, s.text5, s.text6, s.text7, s.text8, s.text9, s.text10');
		$query->from('#__sport AS s');
		$query->where('s.datum >= NOW()');
  	$query->order($this->getState('list.ordering', 's.datum').' '.$this->getState('list.direction', 'ASC'));
			
      //$query->order($this->_db->getEscaped($this->getState('list.ordering', 's.datum')) . ' ' . $this->_db->getEscaped($this->getState('list.direction', 'DESC')))
			//$query->select('t.name, t.email');
			//$query->join('LEFT', '#__sport_teilnehmer AS t ON s.id = t.sport_id');			
      //$query->order($this->_db->getEscaped($this->getState('list.ordering', 't.timestamp')) . ' ' . $this->_db->getEscaped($this->getState('list.direction', 'DESC')))        
		  //$query->group('s.id, t.id');

		return $query;
	}

  function getItems() {
 		$items	= parent::getItems();

    $i = 0;
    foreach($items as $item) { 
      //$teilnehmerModel->populateState($item->id);
      $teilnehmerModel = JModelLegacy::getInstance('sportteilnehmers', 'sportactivitiesModel', array('ignore_request' => true));
      $teilnehmerModel->setSportId($item->id);
      $items[$i]->teilnehmer = $teilnehmerModel->getItems();
      $i++;
    }
    return $items;  
  }
	
/*
	function fetchSportActivities()
	{
		$db =& JFactory::getDBO();

    $activities = array();

		$query = 'SELECT * FROM #__sport where datum >= NOW() ORDER BY datum';
		$db->setQuery( $query );
		$result = $db->loadAssocList();

    foreach($result as $sport) {
      $zeit = strtotime($sport['datum']);
      $zeit = getdate($zeit);
      $sport['datum'] = $this->date_mysql2german($sport['datum']);      
      $sport['uhrzeit'] = str_pad($zeit['hours'], 2 ,'0', STR_PAD_LEFT).":".str_pad($zeit['minutes'], 2 ,'0', STR_PAD_LEFT);
      $sport['teilnehmer'] = $this->fetchTeilnehmerById($sport['id']);      
      $activities[] = $sport;
    } 
		return $activities;
	}
*/
/*
	function fetchSportActivitiesById($id)
	{
		$db =& JFactory::getDBO();

    $activities = array();

		$query = 'SELECT titel, datum, benachrichtigen FROM #__sport where id = "'.$id.'"';
		$db->setQuery( $query );
		$result = $db->loadAssocList();

    foreach($result as $sport) {
      
      $zeit = strtotime($sport['datum']);
      $zeit = getdate($zeit);
      $sport['datum'] = $this->date_mysql2german($sport['datum']);      
      $sport['uhrzeit'] = str_pad($zeit['hours'], 2 ,'0', STR_PAD_LEFT).":".str_pad($zeit['minutes'], 2 ,'0', STR_PAD_LEFT);
      //$sport['teilnehmer'] = $this->fetchTeilnehmerById($sport['id']);      
      $activities[] = $sport;
    } 

		return $activities[0];
	}
*/
	
	//nach Sportteilnehmer
	protected $_db;
	function fetchInitiatorMail() {
		$id = $this->getState('sportactivities.id');
		$this->_db = $this->getDbo();
		
		$this->_db->setQuery($this->_db->getQuery(true)
			->select('*')
			->from('#__sport')
			->where('id = "'.$id.'"'));
		$mail = $this->_db->loadObject(); 
		
		$query = 'SELECT email FROM #__sport_teilnehmer WHERE sport_id = "'.$id.'" ORDER BY timestamp';
		$db->setQuery( $query );
		$email = $db->loadResultArray();
		return $mail[0];    
  }


	
  
  
 /* 
  function saveActivity($data) {

		$row =& $this->getTable('Sport');
		
		// Bind the form fields to the table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the Phoca gallery table to the database
		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		return $row->id;
  
  }


  function saveTeilnehmer($data) {
die("test");
		$row =& $this->getTable('Sportteilnehmer');
		
		// Bind the form fields to the table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the Phoca gallery table to the database
		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
    
    if ($row->id != NULL) return $row->id; else return $this->getErrors();
		return $row->id;
  
  }
*/	
}